For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/contacts/get-api-contacts-retrieve-by-contact_id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Retrieve Contact

GET
/api/contacts/retrieve/:contact_id
1import Reloop from 'reloop-email';
2
3const reloop = new Reloop('re_123456789');
4
5const { response: contact, error } = await reloop.contacts().get('cont_123456789');
6if (error) throw error;
1{
2 "object": "contact",
3 "id": "con_123456789",
4 "email": "john.doe@example.com",
5 "firstName": "John",
6 "lastName": "Doe",
7 "status": "subscribed",
8 "properties": {
9 "company": "Reloop",
10 "role": "Developer"
11 },
12 "groups": [
13 {
14 "id": "grp_123",
15 "name": "Beta Testers"
16 }
17 ],
18 "channels": [
19 {
20 "id": "tpc_123",
21 "name": "Newsletter",
22 "subscription": "opt_in"
23 }
24 ],
25 "suppressionReason": null,
26 "suppressedAt": null,
27 "createdAt": "2026-03-23T10:00:00Z",
28 "updatedAt": "2026-03-23T10:00:00Z"
29}

Path Parameters

contact_idstringRequired

Unique contact identifier

Was this page helpful?